LogParseInterface (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.logparse.LogParseInterface interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.logparse
Interface LogParseInterface

All Known Implementing Classes:
  BaseLogParser, LogParse, SimpleLogParser

    public interface LogParseInterface

Method Summary
`void` | `DontLog(java.lang.Long stat)`
`void` | `DontLog(java.lang.String url)`
`double` | `getTimeMultiplier()`
`void` | `initConfig(double timeMultiplier, java.lang.String regex)`
`RtStat` | `parseLine(java.lang.String currrent)`
`java.util.Hashtable` | `parseLog(java.io.File f, java.lang.String re, long len, java.lang.Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, java.lang.Integer ID, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, java.lang.Integer ID, int svcType, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, long len, java.lang.Integer ID, boolean collectIPs)`
`java.util.Hashtable` | `parseLog(java.lang.String fname, java.lang.String re, long len, java.lang.Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`void` | `postFileParse(java.io.File f)`
`void` | `setTimeMultiplier(double mult)`
`void` | `urlDontLog(java.util.ArrayList urls)`

Method Detail

### initConfig

    void initConfig(double timeMultiplier,
                    java.lang.String regex)

### parseLine

    RtStat parseLine(java.lang.String currrent)

### parseLog

    java.util.Hashtable parseLog(java.lang.String fname,
                                 java.lang.String re,
                                 java.lang.Integer ID,
                                 boolean collectIPs)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseLog

    java.util.Hashtable parseLog(java.lang.String fname,
                                 java.lang.String re,
                                 java.lang.Integer ID,
                                 int svcType,
                                 boolean collectIPs)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseLog

    java.util.Hashtable parseLog(java.lang.String fname,
                                 java.lang.String re,
                                 long len,
                                 java.lang.Integer ID,
                                 boolean collectIPs)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseLog

    java.util.Hashtable parseLog(java.lang.String fname,
                                 java.lang.String re,
                                 long len,
                                 java.lang.Integer ID,
                                 int svcType,
                                 long[] parsedlen,
                                 boolean collectIPs)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseLog

    java.util.Hashtable parseLog(java.io.File f,
                                 java.lang.String re,
                                 long len,
                                 java.lang.Integer ID,
                                 int svcType,
                                 long[] parsedlen,
                                 boolean collectIPs)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### setTimeMultiplier

    void setTimeMultiplier(double mult)

### getTimeMultiplier

    double getTimeMultiplier()

### DontLog

    void DontLog(java.lang.Long stat)

### DontLog

    void DontLog(java.lang.String url)

### urlDontLog

    void urlDontLog(java.util.ArrayList urls)

### postFileParse

    void postFileParse(java.io.File f)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.